Upgrading test assets after RPT upgrade results in version constraint error

Technote (troubleshooting)


Problem(Abstract)

Attempts to upgrade IBM Rational Performance Tester (RPT) test assets from version 8.2.0.6 to 8.2.1.5 result in the error "version constraint violation :'com.ibm.rational.test.lt.xxxxxxxxxxx:0.0.0'" with MANIFEST.MF as its source.

Symptom

Steps to reproduce:

  1. Create a performance project in RPT 8.2.0.6
  2. Upgrade RPT from version 8.2.0.6 to 8.2.1.5
  3. Open the project created in step 1
  4. Upgrade the project to 8.2.1.5 by following the upgrade wizard which appears when the project is opened

Expected result: Upgrade process completes successfully.

Actual result: Receive the error version constraint violation :'com.ibm.rational.test.lt.xxxxxxxxxxx:0.0.0'

Cause

Unknown

Resolving the problem

You can resolve the problem by re-creating MANIFEST.MF files for the project.

  1. Open RPT 8.2.1.5

  2. Export the project as ZIPfile by clicking File > Export > Test > Test Assets with Dependencies

  3. Create a new workspace

  4. Import the ZIP file to this new workspace which will create new MANIFEST.MF for the project.

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Rational Performance Tester
General Information

Software version:

8.2.0.6, 8.2.1.5

Operating system(s):

Windows

Reference #:

1632586

Modified date:

2013-04-01

Translate my page

Machine Translation

Content navigation